
Infrastructure - Task #1570

Support # 1566 (Closed): member node web testing

refactor existing java tests to accept System parameters passed in from the servlet

2011-05-16 21:44 - Rob Nahf

Status: Closed Start date: 2011-05-16

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: None Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-23 17:54 - Rob Nahf

- translation missing: en.field_remaining_hours set to 2.0

#2 - 2011-05-27 19:50 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 2.0 to 5.0

- Status changed from New to In Progress

approach is to create and AbstractIntegrationTest as a location for a common @setup class that processes system properties into useful form.

#3 - 2011-05-31 23:11 - Rob Nahf

Need user names and passwords to be specified for local tests.   Use test.properties resource, exclude it from the test-jar so it doesn't become

publicly available.  use the exclude parameter in maven-jar-plugin.  http://maven.apache.org/plugins/maven-jar-plugin/test-jar-mojo.html 

#4 - 2011-06-06 15:59 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 5.0 to 3.0

#5 - 2011-06-07 16:31 - Rob Nahf

- translation missing: en.field_remaining_hours changed from 3.0 to 6.0

#6 - 2011-08-16 18:16 - Rob Nahf

- Status changed from In Progress to Closed

- Milestone set to None

- translation missing: en.field_remaining_hours changed from 6.0 to 0.0

work encapsulated in ContextAwareTestCaseDataone.java and TestSettings.java in d1_integration
